<bugID>972530<Summary>Object literals / JSON typed directly in web console do not output as expected</Summary><Description>From a comment on our hacks post (see URL):

&gt; Object literals don&#8217;t work in the console for some reason. e.g. &#8220;{}&#8221; returns &#8220;undefined&#8221;, &#8220;{ foo: &#8216;bar&#8217; }&#8221; returns &#8220;bar&#8221;, and &#8220;{ foo: &#8216;foo&#8217;, bar: &#8216;bar&#8217; }&#8221; raises a SyntaxError

So, typing the following input into the console leads to the following output:

{} -&gt; undefined
{ foo: "bar" } -&gt; "bar"
{ foo: "foo", bar: "bar" } -&gt;  SyntaxError: missing ; before statement


Note that assigning it to a temporary variable and then logging the variable gives the expected output:

var a = {foo:"bar"}; a; -&gt; { foo: "bar" }
var a = { foo: "foo", bar: "bar" }; a; -&gt; { foo: "foo", bar: "bar" }</Description></bugID>